#ifndef _Handle_PColStd_HArray1OfReal_HeaderFile
#define _Handle_PColStd_HArray1OfReal_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_Standard_Persistent_HeaderFile
#include <Handle_Standard_Persistent.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(Standard_Persistent);
class PColStd_HArray1OfReal;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PColStd_HArray1OfReal);

class Handle(PColStd_HArray1OfReal) : public Handle(Standard_Persistent) {
  public:

    Handle(PColStd_HArray1OfReal)():Handle(Standard_Persistent)() {} 
    Handle(PColStd_HArray1OfReal)(const Handle(PColStd_HArray1OfReal)& aHandle) : Handle(Standard_Persistent)(aHandle) 
     {
     }

    Handle(PColStd_HArray1OfReal)(const PColStd_HArray1OfReal* anItem) : Handle(Standard_Persistent)((Standard_Persistent *)anItem) 
     {
     }

    Handle(PColStd_HArray1OfReal)& operator=(const Handle(PColStd_HArray1OfReal)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PColStd_HArray1OfReal)& operator=(const PColStd_HArray1OfReal* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PColStd_HArray1OfReal* operator->() const 
     {
      return (PColStd_HArray1OfReal *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PColStd_HArray1OfReal) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
